package org.springblade.estate.feign;

import org.springblade.estate.entity.ServerUser;
import org.springblade.estate.vo.ServerUserVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ServerUserClientFallback implements IServerUserClient {
            /**
         * 详情
         */
        @Override
        public ServerUserVO detail(ServerUser serverUser) {
            return null;
        }

        /**
         * 查询 服务人员
         */
        @Override
        public List<ServerUserVO> list(ServerUser serverUser) {
            return null;
        }



        /**
         * 新增 服务人员
         */
        @Override
        public boolean save( ServerUser serverUser) {
            return false;
        }

        /**
         * 修改 服务人员
         */
        @Override
        public boolean update( ServerUser serverUser) {
            return false;
        }

        /**
         * 新增或修改 服务人员
         */
        @Override
        public boolean submit( ServerUser serverUser) {
            return false;
        }


        /**
         * 删除 服务人员
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public Integer count(String tenantId) {
		return null;
	}

}
